QGIS Application - Bug report #19624
broken / mising dependencies in rpm for SUSE Leap 42.3
2018-08-14 05:15 PM - Stefan Seifert

Status: Closed

Priority: Normal

Assignee: Stefan Seifert

Category: Build/Install

Affected QGIS version:2.18.21 Regression?: No
Operating System: SUSE Leap 42.3 Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 27451
Description

| installed the development files for the long term release qgis-ltr 2.18.22 using the rpm hosted at
https://download.opensuse.org/repositories/Application:/Geo/openSUSE Leap 42.3/

When doping so, | encountered the problem, that Yast2 wanted to remove my qgis-Itr 2.18.22 installation in favor for the release of the
current stable version (qgis 3.2).

This seems to be due to the fact, that Yast is looking for an installation of qgis 2.18.22 while it should be looking for qgis-Itr 2.18.22. For
now | can just tell Yast to ignore the dependencies, though.

In addition qgis 2.18.22 the dependency on the opendpeg library version 2.3. and libgeotiff appear to be missing in the rpm definition.

History

#1 - 2019-01-21 12:35 AM - Jiirgen Fischer
- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#2 - 2019-01-21 10:00 AM - Stefan Seifert

- Assignee set to Stefan Seifert

Unfortunately, using QGIS 3.4 ist not an option for me, at this point. | m using QGIS 2.18 libraries in my own little software project. 3.4 seems to be quite
different in some respects (especially the print-composer) and my code will not compile with 3.4. Until | have time for an extensive rewrite I'll need to stick to
the older version.

As | mentioned in my report, | can tell Yast to ignore dependencies and install the required packages manually. | just thought, that reporting the broken
installer for the 2.18 long-term-release would benefit other users, as well.

#3 - 2019-03-09 03:10 PM - Giovanni Manghi
- Resolution set to end of life
- Status changed from Feedback to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
QGIS 3.4 has recently become our new Long Term Release (LTR) version. This is a major step in our history - a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version
will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the
relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the
ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.
The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
